Subject: Re: Why I can see windows drives?
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sat, 08 May 2004 12:42:31 -0700

Peng Yu wrote:

> When I run "ls -a /", I can see the directory cygdrive.
> 
> BTW, when I run "locate abc", it only searchs with the directory of cygwin.
> How can I make it search all the harddrives on my computer?

/cygdrive is a mount point, it's not a directory.  It won't be shown in
ls, and find won't traverse it because there's no directory entry for it
in '/'.  If you wish to change this then you need to create a directory
entry to correspond to the mount point, e.g. "mkdir /cygdrive".

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/